com.google.gwt.text.shared.testing

## Class PassthroughParser

- java.lang.Object
- - com.google.gwt.text.shared.testing.PassthroughParser

All Implemented Interfaces:
  Parser<java.lang.String>

    public class PassthroughParser
    extends java.lang.Object
    implements Parser<java.lang.String>

A no-op String parser.

### Constructor Summary

Constructors
`protected` `PassthroughParser()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Parser<java.lang.String>` `instance()` Returns the instance of the no-op renderer.
`java.lang.String` `parse(java.lang.CharSequence object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PassthroughParser

    protected PassthroughParser()

### Method Detail

#### instance

    public static Parser<java.lang.String> instance()

Returns the instance of the no-op renderer.

#### parse

    public java.lang.String parse(java.lang.CharSequence object)

Specified by:
  `parse` in interface `Parser<java.lang.String>`